[android-components](../../../index.md) / [mozilla.components.service.digitalassetlinks](../../index.md) / [AssetDescriptor](../index.md) / [Android](./index.md)

# Android

`data class Android : `[`AssetDescriptor`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/digitalassetlinks/src/main/java/mozilla/components/service/digitalassetlinks/AssetDescriptor.kt#L37)

An Android app asset descriptor.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Android(packageName: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, sha256CertFingerprint: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)`<br>An Android app asset descriptor. |

### Properties

| Name | Summary |
|---|---|
| [packageName](package-name.md) | `val packageName: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Package name for the Android app. |
| [sha256CertFingerprint](sha256-cert-fingerprint.md) | `val sha256CertFingerprint: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>A colon-separated hex string. |
